# subsidy_type.h File Reference

basic types related to subsidies More...

`#include "core/enum_type.hpp"`

Go to the source code of this file.

## Typedefs
typedef SimpleTinyEnumT < PartOfSubsidy, byte > | PartOfSubsidyByte
typedef uint16 | SubsidyID
| ID of a subsidy.
## Enumerations
enum | PartOfSubsidy { POS_NONE = 0, POS_SRC = 1 << 0, POS_DST = 1 << 1 }
## Functions
| DECLARE_ENUM_AS_BIT_SET (PartOfSubsidy)

## Detailed Description

basic types related to subsidies

Definition in file subsidy_type.h.

## Enumeration Type Documentation

enum PartOfSubsidy

Enumerator:

  POS_SRC | bit 0 set -> town/industry is source of subsidised path
  POS_DST | bit 1 set -> town/industry is destination of subsidised path

Definition at line 17 of file subsidy_type.h.